package com.ruoyi.project.reliability.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 安全阀清单对象 t_safetyvavle
 *
 * @author ruoyi
 * @date 2020-12-01
 */
public class TSafetyvavle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 单元 */
    @Excel(name = "单元", dictType = "UNIT")
    private String unit;

    /** 区域 */
    @Excel(name = "区域")
    private String subarea;

    /** 位号 */
    @Excel(name = "位号")
    private String tagno;

    /** 现场位置描述 */
    @Excel(name = "现场位置描述")
    private String placedesc;

    /** 安全阀计算书 */
    @Excel(name = "安全阀计算书")
    private String psvcalcreport;

    /** 数据表文件名 */
    @Excel(name = "数据表文件名")
    private String datasheetdoc;

    /** 数据表提供方 */
    @Excel(name = "数据表提供方")
    private String datasupplier;

    /** 设计工况 */
    @Excel(name = "设计工况")
    private String deasignscenarios;

    /** 需要排量 */
    @Excel(name = "需要排量")
    private String relief;

    /** 排放地点 */
    @Excel(name = "排放地点")
    private String releaseplace;

    /** 保护设备 */
    @Excel(name = "保护设备")
    private String service;

    /** 型号 */
    @Excel(name = "型号")
    private String type;

    /** 制造商 */
    @Excel(name = "制造商")
    private String manufacture;

    /** 起跳整定压力（Mpa） */
    @Excel(name = "起跳整定压力（Mpa）")
    private String settingpres;

    /** 密封压力（Mpa） */
    @Excel(name = "密封压力（Mpa）")
    private String settingtestpres;

    /** 最大背压（Mpa） */
    @Excel(name = "最大背压（Mpa）")
    private String maxbackpres;

    /** 工作压力（Mpa） */
    @Excel(name = "工作压力（Mpa）")
    private String workingpres;

    /** 工作温度（℃） */
    @Excel(name = "工作温度（℃）")
    private String workingtemp;

    /** 入口尺寸 */
    @Excel(name = "入口尺寸")
    private String sizeinlet;

    /** 出口尺寸 */
    @Excel(name = "出口尺寸")
    private String sizeoutlet;

    /** 材料 */
    @Excel(name = "材料")
    private String materials;

    /** 介质名称 */
    @Excel(name = "介质名称")
    private String fluidname;

    /** 介质状态 */
    @Excel(name = "介质状态")
    private String fluidstate;

    /** 检验日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "检验日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectingdate;

    /** 下次检验日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次检验日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextinspectdate;

    /** PID */
    @Excel(name = "PID")
    private String pid;

    /** 投用日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "投用日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date usingdate;

    /** 供货商资料 */
    @Excel(name = "供货商资料")
    private String vendordoc;

    /** 1: 1300EU 2: 1400EGU 3: 1500AEU 4: 1600SCTU 5: 1700SUB */
    @Excel(name = "分类", dictType = "SAFETYVAVLE_ITEM")
    private Long item;

    /** 上传状态 */
    @Excel(name = "上传状态")
    private Long uploadStatus;

    /** 上传更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "上传更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date uploadDate;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setSubarea(String subarea)
    {
        this.subarea = subarea;
    }

    public String getSubarea()
    {
        return subarea;
    }
    public void setTagno(String tagno)
    {
        this.tagno = tagno;
    }

    public String getTagno()
    {
        return tagno;
    }
    public void setPlacedesc(String placedesc)
    {
        this.placedesc = placedesc;
    }

    public String getPlacedesc()
    {
        return placedesc;
    }
    public void setPsvcalcreport(String psvcalcreport)
    {
        this.psvcalcreport = psvcalcreport;
    }

    public String getPsvcalcreport()
    {
        return psvcalcreport;
    }
    public void setDatasheetdoc(String datasheetdoc)
    {
        this.datasheetdoc = datasheetdoc;
    }

    public String getDatasheetdoc()
    {
        return datasheetdoc;
    }
    public void setDatasupplier(String datasupplier)
    {
        this.datasupplier = datasupplier;
    }

    public String getDatasupplier()
    {
        return datasupplier;
    }
    public void setDeasignscenarios(String deasignscenarios)
    {
        this.deasignscenarios = deasignscenarios;
    }

    public String getDeasignscenarios()
    {
        return deasignscenarios;
    }
    public void setRelief(String relief)
    {
        this.relief = relief;
    }

    public String getRelief()
    {
        return relief;
    }
    public void setReleaseplace(String releaseplace)
    {
        this.releaseplace = releaseplace;
    }

    public String getReleaseplace()
    {
        return releaseplace;
    }
    public void setService(String service)
    {
        this.service = service;
    }

    public String getService()
    {
        return service;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setManufacture(String manufacture)
    {
        this.manufacture = manufacture;
    }

    public String getManufacture()
    {
        return manufacture;
    }
    public void setSettingpres(String settingpres)
    {
        this.settingpres = settingpres;
    }

    public String getSettingpres()
    {
        return settingpres;
    }
    public void setSettingtestpres(String settingtestpres)
    {
        this.settingtestpres = settingtestpres;
    }

    public String getSettingtestpres()
    {
        return settingtestpres;
    }
    public void setMaxbackpres(String maxbackpres)
    {
        this.maxbackpres = maxbackpres;
    }

    public String getMaxbackpres()
    {
        return maxbackpres;
    }
    public void setWorkingpres(String workingpres)
    {
        this.workingpres = workingpres;
    }

    public String getWorkingpres()
    {
        return workingpres;
    }
    public void setWorkingtemp(String workingtemp)
    {
        this.workingtemp = workingtemp;
    }

    public String getWorkingtemp()
    {
        return workingtemp;
    }
    public void setSizeinlet(String sizeinlet)
    {
        this.sizeinlet = sizeinlet;
    }

    public String getSizeinlet()
    {
        return sizeinlet;
    }
    public void setSizeoutlet(String sizeoutlet)
    {
        this.sizeoutlet = sizeoutlet;
    }

    public String getSizeoutlet()
    {
        return sizeoutlet;
    }
    public void setMaterials(String materials)
    {
        this.materials = materials;
    }

    public String getMaterials()
    {
        return materials;
    }
    public void setFluidname(String fluidname)
    {
        this.fluidname = fluidname;
    }

    public String getFluidname()
    {
        return fluidname;
    }
    public void setFluidstate(String fluidstate)
    {
        this.fluidstate = fluidstate;
    }

    public String getFluidstate()
    {
        return fluidstate;
    }
    public void setInspectingdate(Date inspectingdate)
    {
        this.inspectingdate = inspectingdate;
    }

    public Date getInspectingdate()
    {
        return inspectingdate;
    }
    public void setNextinspectdate(Date nextinspectdate)
    {
        this.nextinspectdate = nextinspectdate;
    }

    public Date getNextinspectdate()
    {
        return nextinspectdate;
    }
    public void setPid(String pid)
    {
        this.pid = pid;
    }

    public String getPid()
    {
        return pid;
    }
    public void setUsingdate(Date usingdate)
    {
        this.usingdate = usingdate;
    }

    public Date getUsingdate()
    {
        return usingdate;
    }
    public void setVendordoc(String vendordoc)
    {
        this.vendordoc = vendordoc;
    }

    public String getVendordoc()
    {
        return vendordoc;
    }
    public void setItem(Long item)
    {
        this.item = item;
    }

    public Long getItem()
    {
        return item;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setUploadStatus(Long uploadStatus) { this.uploadStatus = uploadStatus; }

    public Long getUploadStatus() { return uploadStatus; }
    public void setUploadDate(Date uploadDate) { this.uploadDate = uploadDate; }

    public Date getUploadDate() { return uploadDate; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("unit", getUnit())
            .append("subarea", getSubarea())
            .append("tagno", getTagno())
            .append("placedesc", getPlacedesc())
            .append("psvcalcreport", getPsvcalcreport())
            .append("datasheetdoc", getDatasheetdoc())
            .append("datasupplier", getDatasupplier())
            .append("deasignscenarios", getDeasignscenarios())
            .append("relief", getRelief())
            .append("releaseplace", getReleaseplace())
            .append("service", getService())
            .append("type", getType())
            .append("manufacture", getManufacture())
            .append("settingpres", getSettingpres())
            .append("settingtestpres", getSettingtestpres())
            .append("maxbackpres", getMaxbackpres())
            .append("workingpres", getWorkingpres())
            .append("workingtemp", getWorkingtemp())
            .append("sizeinlet", getSizeinlet())
            .append("sizeoutlet", getSizeoutlet())
            .append("materials", getMaterials())
            .append("fluidname", getFluidname())
            .append("fluidstate", getFluidstate())
            .append("inspectingdate", getInspectingdate())
            .append("nextinspectdate", getNextinspectdate())
            .append("pid", getPid())
            .append("usingdate", getUsingdate())
            .append("vendordoc", getVendordoc())
            .append("item", getItem())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("uploadStatus", getUploadStatus())
            .append("uploadDate", getUploadDate())
            .toString();
    }
}
